/**
 * WildCAT
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 EMN
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Slave.java 327 2008-09-02 13:03:29Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.wildcat.examples.cluster;

import org.ow2.wildcat.Context;
import org.ow2.wildcat.ContextException;
import org.ow2.wildcat.ContextFactory;

/**
 * Register its {@link Context} by CMI and receive some pulls on this coming from {@link Master}.
 * @author Loris Bouzonnet
 */
public class Slave {

	/**
	 * @param args
	 */
	public static void main(final String[] args) {
		ContextFactory contextFactory = new ContextFactory(
				Thread.currentThread().getContextClassLoader().getResource("wildcat-slave.properties"));
		Context ctx = contextFactory.createContext();
		try {
			ctx.export();
		} catch (ContextException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

}
