/**
 * WildCAT
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 EMN
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ListenerRegistrationException.java 325 2008-09-02 09:56:18Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.wildcat.hierarchy;

/**
 * Exception thrown when the registration of a listener failed.
 * @author Loris Bouzonnet
 */
public class ListenerRegistrationException extends Exception {

    /**
     * Id for serializable class.
     */
    private static final long serialVersionUID = -8850742063886986021L;

    public ListenerRegistrationException() {
    }

    public ListenerRegistrationException(String message) {
        super(message);
    }

    public ListenerRegistrationException(Throwable cause) {
        super(cause);
    }

    public ListenerRegistrationException(String message, Throwable cause) {
        super(message, cause);
    }

}
