/**
 *	This file is part of org.ow2.wildcat.
 *
 *	wildcat is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	wildcat is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	authors:
 *		- Pierre-Charles David (initial)
 *		- Nicolas Loriant
 */
package org.ow2.wildcat.remote;

import java.io.Serializable;

import org.ow2.wildcat.Context;
import org.ow2.wildcat.event.WEvent;

/**
 * Define a wrappers of {@link WEvent} identified a sender {@link Context}.
 */
public class ContextEvent implements Serializable {

	private static final long serialVersionUID = 4490647481390882880L;

	private final String sender;

	private final WEvent[] events;

	public ContextEvent(final String sender, final WEvent... events) {
		this.sender = sender;
		this.events = events;
	}

	public String getSender() {
		return this.sender;
	}

	public WEvent[] getEvents() {
		return this.events;
	}
}
